org.deidentifier.arx.algorithm

## Class FLASHStrategy

- java.lang.Object
- - org.deidentifier.arx.algorithm.FLASHStrategy

All Implemented Interfaces:
  java.util.Comparator<java.lang.Integer>

    public class FLASHStrategy
    extends java.lang.Object
    implements java.util.Comparator<java.lang.Integer>

This class implements a total order on all transformations in the search space. It is used by the Flash algorithm to achieve stable execution times.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`FLASHStrategy(SolutionSpace<?> solutionSpace, GeneralizationHierarchy[] hierarchies)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Integer n1, java.lang.Integer n2)` Compares transformations.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### FLASHStrategy

    public FLASHStrategy(SolutionSpace<?> solutionSpace,
                         GeneralizationHierarchy[] hierarchies)

Creates a new instance.

Parameters:
  `solutionSpace` - the solution space
  `hierarchies` - the hierarchies

### Method Detail

#### compare

    public int compare(java.lang.Integer n1,
                       java.lang.Integer n2)

Compares transformations.

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Integer>`
Parameters:
  `n1` - the n1
  `n2` - the n2
Returns:
  the int